## rapidjson 0.12~git20141031

=== debian/changelog ===
rapidjson (0.12~git20141031-3) unstable; urgency=medium

  * oops, g++ has an epoch..

 -- Rene Engelhard <rene@debian.org>  Sun, 02 Aug 2015 17:58:25 +0200

rapidjson (0.12~git20141031-2) unstable; urgency=medium

  * build-depend on g++ (>= 5) to work around segfault in the tests
    (closes: #792070)

 -- Rene Engelhard <rene@debian.org>  Sun, 02 Aug 2015 11:45:01 +0000

rapidjson (0.12~git20141031-1) unstable; urgency=low

  * new upstream snapshot

  [Philipp A. Hartmann]
  * install only doc/html
  * remove obsolete/unintended include-binaries
  * update debian/copyight and debian/control
  * remove unndeeded libjson and libyajl from Build-Depends
  * add libgtest-dev as build dependency and add `use-system-gtest.diff' patch
    to point to system-wide Google test sources 
  * drop SSE4.2 hack
  * run tests on all platforms

 -- Rene Engelhard <rene@debian.org>  Sun, 02 Nov 2014 12:47:05 +0100

rapidjson (0.12~git20140926-1) unstable; urgency=low

  * Initial release (Closes: #763453)

 -- Rene Engelhard <rene@debian.org>  Sun, 26 Oct 2014 18:49:47 +0100
