## rapidjson 0.12~git20141031+dfsg

=== debian/changelog ===
rapidjson (0.12~git20141031+dfsg-1) unstable; urgency=medium

  * remove bin/jsonchecker/* (closes: #840333) and disable the unit test
    using it

 -- Rene Engelhard <rene@debian.org>  Wed, 30 Nov 2016 21:10:15 +0100
