## rapidjson 1.1.0%2Bdfsg2

=== debian/changelog ===
rapidjson (1.1.0+dfsg2-7) unstable; urgency=medium

  * Do not use -arch=native on ppc64 and cross-compilation:
    Add 0001-support-IBM-PowerPC-ppc64-ppc64le-and-XL-compiler.patch and
    0001-CMake-do-not-pass-march-native-or-mcpu-native-when-c.patch
    (Closes: #976944).
  * Add deal-with-Werror-type-limits.patch:
    Disable -Werror=type-limits on archs other then amd64. (Closes: #976536)

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 07 Jan 2021 16:45:27 +0300

rapidjson (1.1.0+dfsg2-6) unstable; urgency=medium

  [ Matthias Klose ]
  * Build using python3 (Closes: #943192).

  [ Alexander GQ Gerasiov ]
  * d/control: Bump debhelper's compatibility.
  * d/control: Suggests doc package.
  * d/control: Bump Standards-Version (no changes needed).
  * Add fix-privacy-breach.patch: removes external images from docs.
  * d/rapidjson-dev.install: Install pkg-config and cmake files to arch-independent dir.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 06 May 2020 10:26:30 +0300

rapidjson (1.1.0+dfsg2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Alexander GQ Gerasiov ]
  * d/watch: Fix dversionmangle.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 31 Jan 2019 23:23:56 +0300

rapidjson (1.1.0+dfsg2-4) unstable; urgency=medium

  * Add patches to deal with gcc 8.0 errors. Fixes FTBFS (Closes: #906406)

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 12 Sep 2018 02:55:49 +0300

rapidjson (1.1.0+dfsg2-3) unstable; urgency=medium

  * Remove outdated debian/source/include-binaries.
  * Add debian/patches/set-doc-dir.diff: Install docs to
    /usr/share/doc/rapidjson-doc.
  * debian/rules: Totally simplify rules file.
  * debian/control: Remove outdated gcc dependence.
  * Increase dh compatibility level.
  * Bump Standards-Version to 4.1.3 (no additional changes needed).
  * debian/control: Take package ownership (Closes: #893199.)
  * debian/control: Mark packages as Multi-Arch: foreign.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 27 Mar 2018 12:47:14 +0300

rapidjson (1.1.0+dfsg2-2) unstable; urgency=medium

  * upload to unstable

  * move Maintainer: to Debian QA Group <packages@qa.debian.org>
  * add Vcs-* (salsa)

 -- Rene Engelhard <rene@debian.org>  Sat, 17 Mar 2018 08:30:29 +0000

rapidjson (1.1.0+dfsg2-1) experimental; urgency=medium

  * (really) remove bin/jsonchecker/* (again) (closes: #884078)

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Jan 2018 08:47:38 +0100

rapidjson (1.1.0+dfsg-3) experimental; urgency=medium

  * add upstream patches to fix build with gcc 7 (closes: #873231)

 -- Rene Engelhard <rene@debian.org>  Sat, 26 Aug 2017 16:49:27 +0000

rapidjson (1.1.0+dfsg-2) experimental; urgency=medium

  * make .install even more strict to not install bogus /usr/include/gtest
    (closes: #846568)

 -- Rene Engelhard <rene@debian.org>  Sat, 03 Dec 2016 01:05:45 +0100

rapidjson (1.1.0+dfsg-1) experimental; urgency=medium

  * remove bin/jsonchecker/* (closes: #840333) and disable the unit test
    using it
  * don't bogusly install usr/lib/libgtest*.a

 -- Rene Engelhard <rene@debian.org>  Wed, 30 Nov 2016 22:42:45 +0100

rapidjson (1.1.0-1) experimental; urgency=medium

  * New upstream release

  * add debian/watch

 -- Rene Engelhard <rene@debian.org>  Tue, 30 Aug 2016 22:54:00 +0200

rapidjson (1.0.2-2) experimental; urgency=medium

  * add missing python to Build-Depends

  * run the $(MAKE)s in build and run manual $(MAKE) install - no idea
    why it worked here locally...

 -- Rene Engelhard <rene@debian.org>  Thu, 24 Sep 2015 21:54:16 +0000

rapidjson (1.0.2-1) experimental; urgency=medium

  * New upstream release (closes: #799899)

  * remove jquery.js link in rapidjson-doc.

 -- Rene Engelhard <rene@debian.org>  Thu, 24 Sep 2015 17:48:39 +0200
