=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: rapidjson
 Priority: optional
-Maintainer: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>= 9), premake4, doxygen, libgtest-dev, g++ (>= 4:5)
-Standards-Version: 3.9.6
+Maintainer: Alexander GQ Gerasiov <gq@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake, doxygen, libgtest-dev, python3
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://miloyip.github.io/rapidjson
-#Vcs-Git: git://anonscm.debian.org/collab-maint/rapidjson.git
-#Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/rapidjson.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/rapidjson.git
+Vcs-Browser: https://salsa.debian.org/debian/rapidjson
 
 Package: rapidjson-dev
 Section: libdevel
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
+Suggests: rapidjson-doc
 Description: fast JSON parser/generator for C++ with SAX/DOM style API
  RapidJSON is an attempt to create the fastest JSON parser and generator.
  .
@@ -30,13 +32,13 @@
   - Parse number to int/unsigned/int64_t/uint64_t/double depending on input
   - Support custom memory allocation. Also, the default memory pool allocator
     can also be supplied with a user buffer (such as a buffer allocated on
-    user's heap or programme stack) to minimize allocation. 
+    user's heap or programme stack) to minimize allocation.
 
 Package: rapidjson-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Description: fast JSON parser/generator for C++ (API documentation)
  This package contains the documentation for RapidJSON, a fast JSON
  parser/generator for C++ with both SAX/DOM style APIs.
-
