=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	# Needed since googletest 1.13.0 (see #1041027)
	dh_auto_configure -- -DRAPIDJSON_BUILD_CXX11=OFF
